# Gimp.progress_pulse

    @returns(bool)
    def progress_pulse():
        # Python wrapper for gimp_progress_pulse()

Pulses the progress bar for the current plug-in.

Updates the progress bar for the current plug-in. It is only valid to call this procedure from a plug-in. Use this function instead of Gimp.progress_update if you cannot tell how much progress has been made. This usually causes the the progress bar to enter \"activity mode\", where a block bounces back and forth.

Since 2.4

Returns